Skip to content

Preparing Directory Elements

Creating a Branch

POST /bs-core/dicts/branches

Description

Creates an organization Branch for further use in the system and linking it to a subdivision.

Documentation:

MethodURLDescription
POST/bs-core/dicts/branchesCreate branch
GET|HEAD/bs-core/dicts/branchesGet elements of "Branches" directory
GET|HEAD/bs-core/dicts/branches/{id}Get Branch by ID

Request Example

POST /bs-core/dicts/branches
json
{
  "name": "Тестовый", // Branch name
  "legalEntityId": 102071, // Legal Entity identifier (from dictionaries/legal-entity directory – 102071 (Bank))
  "regionId": 102011, // Region identifier
  "minAmountForCreditPanel": 0.0, // Minimum amount for credit product consideration
  "titleNominative": "Евроком Авто", // Name in nominative case
  "titleGenitive": "Евроком Авто", // Name in genitive case
  "titleShort": "Евроком Авто", // Short name
  "rnn": "546645666", // TIN (Tax Identification Number)
  "kpp": "879787988", // KPP (Tax Registration Reason Code)
  "ogrn": "115657487999", // OGRN (Primary State Registration Number)
  "bankId": 101661, // Bank identifier (test from /dictionaries/bank directory 101661 (NB "TRUST" BRANCH (OJSC) IN MOSCOW))
  "accountName": "40555550200111112861", // Settlement account
  "transactionPrefix": "", // Prefix for cash flow
  "contractPrefix": "001", // Prefix for contracts
  "courtInfo": "",
  "soap_login": "test", // Login for SMS sending
  "soap_password": "test", // Password for SMS sending
  "soap_sender": "test", // SMS sender
  "active": true,
  "legalForm": "",
  "ogrnRegDate": null,
  "commercialNetwork": "",
  "partnerCode": "null",
  "documentDate": null,
  "documentNumber": "",
  "directorFullName": "",
  "directorPosition": "",
  "directorPhone": "",
  "directorEmail": "",
  "id": null, // Directory record identifier (null when creating, automatically assigned when saving)
  "headBranch": false, // Head branch
  "currentBranch": false, // Current branch
  "address": {
    // Branch address
    "id": 101261191,
    "countryId": 101042,
    "fiasId": "a1c96194-2f8b-43b3-b0bf-4c84c242c1b3",
    "fullAddressText": "г Москва, Мичуринский пр-кт, д 1",
    "fiasChainText": "",
    "houseNo": "1",
    "blockNo": "",
    "buildingNo": "",
    "apartmentNo": "",
    "telephone": "72233333333",
    "postalCode": "119602",
    "regDate": null,
    "housingType": "",
    "metroStation": "",
    "regionName": "г Москва",
    "localityName": "г Москва",
    "streetName": "Мичуринский пр-кт",
    "oldAddressText": "",
    "timeZone": "",
    "attributes": null
  },
  "factAddress": null
}

Successful Response Example

json
{
  "status": "ok", // Response status
  "timestamp": 1763982322800, // Response timestamp
  "data": 101328 // Created branch identifier
}

Save the branch id (value of the "data" field) — it will be needed for creating a subdivision.


Creating a Subdivision

POST /bs-core/dicts/subdivisions

Description

Creates an organization Subdivision for further use in the system and linking it to a client and loan specialist.

Documentation:

MethodURLDescription
POST/bs-core/dicts/subdivisionsCreate "Subdivision"
GET|HEAD/bs-core/dicts/subdivisionsGet elements of "Subdivisions" directory
GET|HEAD/bs-core/dicts/subdivisions/{id}Get Subdivision by ID

Request Example

POST /bs-core/dicts/subdivisions
json
{
  "name": "Основное", // Subdivision name
  "code": "",
  "branchId": 101301, // Branch identifier (from "Branch creation example" section)
  "chiefPositionNominative": "Директор", // Manager position in nominative case
  "chiefPositionGenitive": "Директора", // Manager position in genitive case
  "chiefNameNominative": "Иванов Иван Иванович", // Manager full name in nominative case for contract
  "chiefNameNominativeForDoc": "Иванов И.И.", // Manager full name in nominative case for cash documents
  "chiefNameGenitive": "Иванова Ивана Ивановича", // Manager full name in genitive case for contract
  "generalAccountant": "Плеханова Ирина Владимировна", // Chief accountant
  "docNameGenitive": "", // Document in genitive case
  "orgLicense": "", // Organization power of attorney
  "rnn": "", // TIN (Tax Identification Number)
  "okpo": "", // OKPO code
  "address": "г. Москва. Кутузовский проспект , дом 31 , стр 2", // Address
  "telephone": "", // Telephone
  "subCode": "", // Sub code
  "transactionPrefix": "", // Prefix for cash flow
  "contractPrefix": "01", // Prefix for loan contracts
  "accountantFromUserId": null, // Accountant. User identifier
  "cashierFromUserId": null, // Cashier. User identifier
  "docNameForAccountant": "", // Acting on behalf of for accountant
  "docNameForCashier": "", // Acting on behalf of for cashier
  "courtInfo": "",
  "shops": [],
  "active": true,
  "legalForm": "",
  "ogrnRegDate": null,
  "factAddress": "",
  "commercialNetwork": "",
  "documentDate": null,
  "documentNumber": "",
  "directorFullName": "",
  "directorPosition": "",
  "directorPhone": "",
  "directorEmail": "",
  "id": null // Directory record identifier (null when creating, automatically assigned when saving)
}

Successful Response Example

json
{
  "status": "ok", // Response status
  "timestamp": 1763987327806, // Response timestamp
  "data": 101793 // Created subdivision identifier
}

Save the subdivision id (value of the "data" field) — it will be needed for creating a loan specialist.


Creating a Loan Specialist/Manager

POST /bs-core/dicts/credit-officers

Description

Creates a new element in the "Loan Specialist" organization directory for further use in the system and linking it to a client and loan application.

Documentation:

MethodURLDescription
GET|HEAD/bs-core/dicts/credit-officersGet elements of "Loan specialists/loan managers" directory
POST/bs-core/dicts/credit-officersCreate "Loan Specialists"
GET|HEAD/bs-core/dicts/credit-officers/{id}Get Loan Specialist by ID

Request Example

POST /bs-core/dicts/credit-officers
json
{
  "name": "Иванов", // Specialist name (full name, or at client's discretion only surname)
  "prefix": "", // Additional string
  "active": true, // Active (Yes/No)
  "position": "Кредитный менеджер", // Position
  "subdivisionId": 101791, // Subdivision identifier (from "Subdivision creation example" section)
  "userId": null, // User identifier (automatically assigned the identifier of the user who created the directory element when saving)
  "useForAutoClientCreation": true, // Use for automatic client creation (Yes/No)
  "mobileAppUser": false,
  "id": null // Loan Specialist identifier (null when creating, automatically assigned when saving)
}

Successful Response Example

json
{
  "status": "ok", // Response status
  "timestamp": 1763991024977, // Response timestamp
  "data": 101091 // Created loan specialist identifier
}

Save the specialist id (value of the "data" field) — it will be needed for creating a client.


Creating a Credit Product

POST /bs-core/dicts/credit-products

Description

Creates a Credit Product with loan terms for an organization for further use in the system and linking it to a loan application.

Documentation:

MethodURLDescription
GET|HEAD/bs-core/dicts/credit-productsGet elements of "Credit Products" directory
POST/bs-core/dicts/credit-productsCreate new element in "Credit Products" directory
GET|HEAD/bs-core/dicts/credit-products/{id}Get Credit Product by ID

Request Example

POST /bs-core/dicts/credit-products
json
{
  "name": "Тариф базовый", // Credit product name
  "active": true, // Active (Yes/No)
  "legalEntityId": 102071, // Legal entity identifier
  "branches": [], // List of branches
  "subdivisionIds": [], // List of subdivision identifiers
  "creditFieldReq": {
    // Credit product parameters
    "id": null,
    "dateCalcMethodId": 101231,
    "allowHolidaysPayment": false,
    "shortTermControl": false,
    "shiftFirstRepaymentDate": true,
    "interestChargeMethodId": 101863,
    "interestCalcMethodId": 101221,
    "repaymentNorm": 0.0,
    "calcIntOnIssueDate": false,
    "calcInterestOnDelinqBalance": false,
    "calcIntOnDelinqBalanceOnlyAtDelinqIntRate": false,
    "calcArrearInterest": false,
    "arrearInterestFirstDay": 0,
    "arrearInterestLastDay": 0,
    "principalDistribMethodId": 101351,
    "forepaymentConsiderationMethodId": null,
    "creditLineId": null,
    "trancheDuration": 30,
    "interestForTranche": 1.0,
    "interestRateForPeriodList": [],
    "delinquencyIntRate": 0.0,
    "delinqIntRateDelay": 0,
    "delinqIntDaysLimit": 0,
    "useDelinqIntRateTillNextTranche": true,
    "keepUsingDelinqIntRate": false,
    "interestRateTypeId": 101121,
    "chargeExtraInterest": false,
    "extraIntDaysQty": null,
    "interestLgotPeriod": 0,
    "interestLgotRate": 0.0,
    "interestGracePeriod": 0,
    "gracePeriodDefermentMode": "RESTART",
    "trancheCount": 1,
    "repaymentSequenceId": 101201,
    "mandatoryChargePeriod": 0,
    "allowPrepayment": false,
    "prolongationPeriod": 0,
    "earlyProlongationFromCurrentDate": false,
    "prolongationOnNewSchedule": false,
    "prolongedIntToLastTranche": true,
    "penaltyTypeId": 101271,
    "calendarDaysPenalty": false,
    "firstWeekendWithoutPenalty": false,
    "stopPenaltyOnClose": false,
    "qtyDaysStopPenaltyOnClose": 0,
    "fixedDelayPenalty": 100.0,
    "delayPenaltyDay": 0,
    "inviteAmountPct": 0.0,
    "inviteDiscountPerFriend": 0.0,
    "inviteMinIntRate": 0.0,
    "scheduleRecalcEnabled": false,
    "fullScheduleDatesRecalc": false,
    "useDelinqIntRateForPsk": false,
    "discountingEnabled": false,
    "useEirForDiscounting": false,
    "fees": [],
    "principalParts": [
      {
        "id": null, // Identifier (null when creating, automatically assigned when saving)
        "trancheNo": 1, // Tranche number
        "part": 100.0 // Part share
      }
    ],
    "penaltyRates": [],
    "qtyTranchesFirstPeriod": 0,
    "intRateFirstPeriod": 0.0,
    "qtyTranchesSecondPeriod": 0,
    "intRateSecondPeriod": 0.0,
    "amountSecondPeriod": null,
    "qtyTranchesRepNormSecondPeriod": 0,
    "interestOnLoanAmount": false,
    "penaltyRatePeriodFrom": "FROM_TRANCHE_REPAYMENT_DATE",
    "agreedRepaymentAmount": null,
    "disableLgotTrancheOnERN": false,
    "penaltyLimitValue": null,
    "penaltyLimitUnit": null,
    "lgotTranchesQty": null,
    "manualIntRateForFullCostCalc": 0.0
  },
  "minPeriod": 0, // Minimum loan period
  "maxPeriod": 0, // Maximum loan period
  "periodInTranches": false, // Period in tranches
  "minLoanAmount": 0.0, // Minimum loan amount
  "maxLoanAmount": 0.0, // Maximum loan amount
  "secondPeriodMinFraction": null,
  "secondPeriodMaxFraction": null,
  "fractionForProlongation": null,
  "creditProductGroupId": null,
  "contractorId": null,
  "productCode": "", // Product code
  "contractPrefix": "", // Prefix for contracts
  "scoringSchemaId": null, // Scoring schema identifier
  "loanCategoryCBId": null, // Central Bank loan category identifier
  "manualFullCostOfCredit": 0.0, // Manual full cost of credit
  "forRepeatedLoans": false, // For repeated loans
  "forPremiumLoans": false, // For premium loans
  "secondary": null,
  "beginDate": null, // Effective start date
  "endDate": null, // Effective end date
  "collateralRatio": 1.0, // Collateral ratio
  "guarantorsMinQty": null, // Minimum number of guarantors
  "calcLoanAmountBase": null,
  "allowedDonorGroupId": null,
  "minInitialInstallment": 0.0, // Minimum initial installment
  "maxInitialInstallment": 100.0, // Maximum initial installment
  "tags": [], // Tags
  "id": null // Credit product identifier (null when creating, automatically assigned when saving)
}

Successful Response Example

json
{
  "status": "ok", // Response status
  "timestamp": 1763992001494, // Response timestamp
  "data": 101388 // Created credit product identifier
}

Save the credit product id (value of the "data" field) — it will be needed for creating an application.